マスターパスワード
マスターパスワードを作成
Create a master password under the path account.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
マスターパスワードを作成
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"generate": false,
"value": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials"
payload = {
"name": "<string>",
"domain": "<string>",
"generate": False,
"value": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
generate: false,
value: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>",
"generated_secret": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}承認
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
パスパラメータ
ボディ
application/json
アカウントパススコープでマスターパスワードを作成するリクエスト。
レスポンス
マスターパスワード作成時刻
マスターパスワード UUID
マスターパスワードの表示名
マスターパスワードスコープのリソース UUID
マスターパスワードが適用されるリソーススコープの種類
利用可能なオプション:
account, workspace, domain マスターパスワードの最終更新時刻
リクエスト時に返される一度限り生成されたマスターパスワードシークレット
このページは役に立ちましたか?
⌘I
マスターパスワードを作成
